Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTableC.h File Reference

`#include "iortable_export.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/Object.h"`
`#include "tao/Exception.h"`

Include dependency graph for IORTableC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IORTable
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_IORTable_Export
#define | _IORTABLE_LOCATOR__VAR_OUT_CH_
#define | _IORTABLE_ALREADYBOUND_CH_
#define | _IORTABLE_NOTFOUND_CH_
#define | _IORTABLE_TABLE__VAR_OUT_CH_
#define | _IORTABLE_TABLE_CH_
#define | _IORTABLE_LOCATOR_CH_
#define | _IORTABLE_LOCATOR__TRAITS_CH_
#define | _IORTABLE_TABLE__TRAITS_CH_
## Functions
TAO_IORTable_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IORTable::AlreadyBound &)
TAO_IORTable_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IORTable::AlreadyBound &)
TAO_IORTable_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IORTable::NotFound &)
TAO_IORTable_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IORTable::NotFound &)

## Define Documentation

#define _IORTABLE_ALREADYBOUND_CH_

#define _IORTABLE_LOCATOR__TRAITS_CH_

#define _IORTABLE_LOCATOR__VAR_OUT_CH_

#define _IORTABLE_LOCATOR_CH_

#define _IORTABLE_NOTFOUND_CH_

#define _IORTABLE_TABLE__TRAITS_CH_

#define _IORTABLE_TABLE__VAR_OUT_CH_

#define _IORTABLE_TABLE_CH_

#define TAO_EXPORT_MACRO TAO_IORTable_Export

## Function Documentation

TAO_IORTable_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IORTable::NotFound & |
| ) |

TAO_IORTable_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IORTable::AlreadyBound & |
| ) |

TAO_IORTable_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IORTable::NotFound & |
| ) |

TAO_IORTable_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IORTable::AlreadyBound & |
| ) |